/*****************************************************************************
* File:	     	pds.h
* Programmer: 	Dorian Winterfeld
* 		Anne Raugh
* Institution:  PDS/Small Bodies Node
*               University of Maryland
* Abstract: 	Prototype of functions related to the PDS label.
*****************************************************************************/

#ifndef PDS_HDR
#define PDS_HDR

#include "linklist.h"
#include "fits_obj.h"

int read_PDS_file(FITS_object *main_object,table *ttable,table *ltable);
table_element    *find_pds_keyword(table *ttable,char *key,
												table_element *start_here);
int set_value(char *value, char *type, table_element *entry,
              list_type *object_list, FITS_object *main_object);
FITS_keyword *find_FITS_keyword(char *key, FITS_object *object);
FITS_object  *find_extension_in_object(char *extension,FITS_object *object);
FITS_keyword *find_keyword_in_object(char *keyword,FITS_object *object);
int how_many_objects(list_type *object_list,char *object);
int add_lit_table(FITS_object *main_object,table *ltable);
int post_process(FITS_object *main, table *ttable);
int process_binary_table(FITS_object *main);
int process_ascii_table(FITS_object *main);

#endif
